require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

carlos = {
"Acceder al Tutorial","Descargar archivos desde Google Drive","Únete al Grupo de Tutoriales para Ciegos en WhatsApp",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)


local bienvenidaMensaje = [[Imaginen poder escuchar la hora exacta con voces de Acapela TTS Voices. Si alguna vez han deseado tener esta funcionalidad pero no pueden adquirir las voces ni utilizar la aplicación, tengo la solución ideal para ustedes. Descubran nuestros nuevos plugins que les permitirán disfrutar de estas voces para escuchar la hora sin necesidad de instalar la aplicación, todo gracias a Jieshuo.

Aquí, a un lado, encontrarán tres botones: uno para acceder al tutorial, otro para descargar los archivos y el último para unirse al grupo de WhatsApp "Tutoriales para Ciegos". Hagan clic en cada botón según lo que deseen hacer.]]
layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "El Chínolo saca nuevos plugins de Voces Acapela TTS para decir la hora sin instalar la aplicación.",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    TextView,
    text = bienvenidaMensaje,
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    LinearLayout, -- Contenedor para los botones
    orientation = LinearLayout.VERTICAL,
    layout_width = "fill",
    layout_height = "fill",
    {
      GridView,
      id = "grid",
      numColumns = 1,
      layout_width = "fill",
      layout_height = "0dp",
      layout_weight = 1, -- Utiliza todo el espacio disponible
    },
    {
      Button,
      text = "Volver",
      onClick = function(view)
        dlg.dismiss()
        vibrator.vibrate(100)
      end,
      layout_width = "wrap_content",
      gravity = 5,
    },
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(carlos))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

if v.text == carlos[1] then
openLink("https://youtu.be/99vH-g9YIPo?si=5sE9TG1zUKjDngwt")
elseif v.text == carlos[2] then
openLink("https://drive.google.com/drive/folders/1CmDTfWXHQFy4BWMfZXMGPesoDOql_zhY")
elseif v.text == carlos[3] then
openLink("https://chat.whatsapp.com/KPxdX5LWWkAKjQL8wqLtVJ")
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end  return true